Emails
List emails
Returns your emails, newest first, with cursor pagination. Pass next_cursor from one
page as cursor to get the next.
GET
/
emails
List emails
curl --request GET \
--url https://pulse-send.jiordiviera.me/api/v1/emails \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pulse-send.jiordiviera.me/api/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pulse-send.jiordiviera.me/api/v1/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://pulse-send.jiordiviera.me/api/v1/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "email",
"id": "em_01jbz8m3k2q7x9c4v5n6p8r0st",
"from": "Acme <hello@acme.com>",
"to": [
"jane@example.com"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"status": "queued",
"test_mode": true,
"tags": [
"<string>"
],
"credits_charged": 123,
"created_at": "2026-10-17T09:41:00Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid or revoked API key.",
"doc_url": "https://docs.pulse-send.jiordiviera.me/errors#invalid_api_key"
}
}{
"error": {
"type": "permission_error",
"code": "missing_scope",
"message": "This key does not have the emails:send scope.",
"doc_url": "https://docs.pulse-send.jiordiviera.me/errors#missing_scope"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limited",
"message": "Too many requests, retry later.",
"doc_url": "https://docs.pulse-send.jiordiviera.me/errors#rate_limited"
}
}Authorizations
Your API key, ps_live_… or ps_test_….
Query Parameters
Emails per page, from 1 to 100.
The next_cursor value from the previous page.
⌘I
List emails
curl --request GET \
--url https://pulse-send.jiordiviera.me/api/v1/emails \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pulse-send.jiordiviera.me/api/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pulse-send.jiordiviera.me/api/v1/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://pulse-send.jiordiviera.me/api/v1/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "email",
"id": "em_01jbz8m3k2q7x9c4v5n6p8r0st",
"from": "Acme <hello@acme.com>",
"to": [
"jane@example.com"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"status": "queued",
"test_mode": true,
"tags": [
"<string>"
],
"credits_charged": 123,
"created_at": "2026-10-17T09:41:00Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid or revoked API key.",
"doc_url": "https://docs.pulse-send.jiordiviera.me/errors#invalid_api_key"
}
}{
"error": {
"type": "permission_error",
"code": "missing_scope",
"message": "This key does not have the emails:send scope.",
"doc_url": "https://docs.pulse-send.jiordiviera.me/errors#missing_scope"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limited",
"message": "Too many requests, retry later.",
"doc_url": "https://docs.pulse-send.jiordiviera.me/errors#rate_limited"
}
}
